Permalink
Browse files

Update to RubyGems 1.5.2

  • Loading branch information...
1 parent c2afcce commit dcf20b8ea46e677c1c98b232dd44e40ae65f450d Evan Phoenix committed Feb 23, 2011
Showing with 2,475 additions and 1,515 deletions.
  1. +6 −13 lib/rbconfig/datadir.rb
  2. +199 −119 lib/rubygems.rb
  3. +9 −5 lib/rubygems/builder.rb
  4. +12 −4 lib/rubygems/command.rb
  5. +1 −2 lib/rubygems/command_manager.rb
  6. +1 −1 lib/rubygems/commands/build_command.rb
  7. +4 −4 lib/rubygems/commands/cert_command.rb
  8. +3 −18 lib/rubygems/commands/check_command.rb
  9. +1 −1 lib/rubygems/commands/cleanup_command.rb
  10. +5 −18 lib/rubygems/commands/dependency_command.rb
  11. +5 −4 lib/rubygems/commands/environment_command.rb
  12. +1 −2 lib/rubygems/commands/fetch_command.rb
  13. +1 −10 lib/rubygems/commands/generate_index_command.rb
  14. +0 −5 lib/rubygems/commands/help_command.rb
  15. +7 −19 lib/rubygems/commands/install_command.rb
  16. +1 −1 lib/rubygems/commands/lock_command.rb
  17. +0 −1 lib/rubygems/commands/pristine_command.rb
  18. +13 −2 lib/rubygems/commands/push_command.rb
  19. +8 −28 lib/rubygems/commands/query_command.rb
  20. +9 −1 lib/rubygems/commands/server_command.rb
  21. +9 −30 lib/rubygems/commands/setup_command.rb
  22. +17 −38 lib/rubygems/commands/sources_command.rb
  23. +2 −2 lib/rubygems/commands/specification_command.rb
  24. +21 −8 lib/rubygems/commands/unpack_command.rb
  25. +97 −79 lib/rubygems/commands/update_command.rb
  26. +1 −0 lib/rubygems/commands/which_command.rb
  27. +25 −19 lib/rubygems/config_file.rb
  28. +4 −8 lib/rubygems/custom_require.rb
  29. +16 −63 lib/rubygems/dependency.rb
  30. +32 −25 lib/rubygems/dependency_installer.rb
  31. +2 −7 lib/rubygems/dependency_list.rb
  32. +5 −3 lib/rubygems/doc_manager.rb
  33. +3 −1 lib/rubygems/ext/builder.rb
  34. +10 −2 lib/rubygems/ext/rake_builder.rb
  35. +7 −8 lib/rubygems/format.rb
  36. +1 −3 lib/rubygems/gem_openssl.rb
  37. +7 −22 lib/rubygems/gem_path_searcher.rb
  38. +2 −1 lib/rubygems/gem_runner.rb
  39. +3 −3 lib/rubygems/gemcutter_utilities.rb
  40. +15 −78 lib/rubygems/indexer.rb
  41. +19 −8 lib/rubygems/install_update_options.rb
  42. +151 −100 lib/rubygems/installer.rb
  43. +136 −0 lib/rubygems/installer_test_case.rb
  44. +18 −5 lib/rubygems/local_remote_options.rb
  45. +63 −0 lib/rubygems/mock_gem_ui.rb
  46. +5 −4 lib/rubygems/old_format.rb
  47. +18 −8 lib/rubygems/package.rb
  48. +8 −1 lib/rubygems/package/tar_input.rb
  49. +2 −0 lib/rubygems/package/tar_output.rb
  50. +6 −1 lib/rubygems/package/tar_reader/entry.rb
  51. +137 −0 lib/rubygems/package/tar_test_case.rb
  52. +7 −5 lib/rubygems/package_task.rb
  53. +1 −1 lib/rubygems/platform.rb
  54. +49 −10 lib/rubygems/remote_fetcher.rb
  55. +2 −1 lib/rubygems/require_paths_builder.rb
  56. +1 −1 lib/rubygems/requirement.rb
  57. +145 −106 lib/rubygems/security.rb
  58. +13 −40 lib/rubygems/server.rb
  59. +14 −294 lib/rubygems/source_index.rb
  60. +42 −61 lib/rubygems/spec_fetcher.rb
  61. +78 −23 lib/rubygems/specification.rb
  62. +736 −0 lib/rubygems/test_case.rb
  63. +7 −20 lib/rubygems/test_utilities.rb
  64. +35 −0 lib/rubygems/text.rb
  65. +28 −29 lib/rubygems/uninstaller.rb
  66. +147 −37 lib/rubygems/user_interaction.rb
  67. +5 −76 lib/rubygems/validator.rb
  68. +37 −26 lib/rubygems/version.rb
View
@@ -4,17 +4,10 @@
# See LICENSE.txt for permissions.
#++
-module RbConfig
-
- ##
- # Return the path to the data directory associated with the given package
- # name. Normally this is just
- # "#{RbConfig::CONFIG['datadir']}/#{package_name}", but may be modified by
- # packages like RubyGems to handle versioned data directories.
-
- def self.datadir(package_name)
- File.join(CONFIG['datadir'], package_name)
- end unless RbConfig.respond_to?(:datadir)
-
-end
+# N.B. This file is used by Config.datadir in rubygems.rb, and must not be
+# removed before that require is removed. I require to avoid warning more than
+# once.
+warn 'rbconfig/datadir.rb and {Rb}Config.datadir is being deprecated from '\
+ 'RubyGems. It will be removed completely on or after June 2011. If you '\
+ 'wish to rely on a datadir, please use Gem.datadir.'
Oops, something went wrong.

0 comments on commit dcf20b8

Please sign in to comment.